Bug 44952 - [WML] Use RenderImageResource in WMLImageElement.cpp
Summary: [WML] Use RenderImageResource in WMLImageElement.cpp
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-31 07:54 PDT by Gyuyoung Kim
Modified: 2010-09-06 06:20 PDT (History)
1 user (show)

See Also:


Attachments
Patch (1.51 KB, patch)
2010-08-31 07:56 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gyuyoung Kim 2010-08-31 07:54:31 PDT
The hasImage() and setCachedImage() were moved to RenderImageResource class. So, WML also should use the functions from RenderImageResource.
Comment 1 Gyuyoung Kim 2010-08-31 07:56:57 PDT
Created attachment 66052 [details]
Patch
Comment 2 Gyuyoung Kim 2010-09-03 22:49:28 PDT
Hello Eric Seidel,

Could you please review this patch ? It seems nobody uses WML feature in webkit. I'd like to maintain WML continually.
Comment 3 Dirk Schulze 2010-09-06 05:46:09 PDT
Comment on attachment 66052 [details]
Patch

r=me
Comment 4 WebKit Commit Bot 2010-09-06 06:20:32 PDT
Comment on attachment 66052 [details]
Patch

Clearing flags on attachment: 66052

Committed r66822: <http://trac.webkit.org/changeset/66822>
Comment 5 WebKit Commit Bot 2010-09-06 06:20:37 PDT
All reviewed patches have been landed.  Closing bug.